function MNuevoInscripcion(){
  $("#modal-default").modal("show")

  var obj=""
  $.ajax({
    type:"POST",
    url:"vista/inscripcion/FNuevoInscripcion.php",
    data:obj,
    success:function(data){
      $("#content-default").html(data)
    }
  })
}

function RegInscripcion(){

    var formData= new FormData($("#FormRegInscripcion")[0])

    $.ajax({
      type:"POST",
      url:"controlador/inscripcionControlador.php?ctrRegInscripcion",
      data:formData,
      cache:false,
      contentType:false,
      processData:false,
      success:function(data){
        if(data=="ok"){
          Swal.fire({
            icon: 'success',
            showConfirmButton: false,
            title: 'Nueva Inscripcion registrada',
            timer: 1000
          })
          setTimeout(function(){
            location.reload()
          },1200)
        }else{
          Swal.fire({
            icon:'error',
            title:'Error!',
            text:'La Inscripcion ya esta en uso',
            showConfirmButton: false,
            timer:1500
          })
        }
      }
    })
 
}

function MEditInscripcion(id){
  $("#modal-default").modal("show")

  var obj=""
  $.ajax({
    type:"POST",
    url:"vista/inscripcion/FEditInscripcion.php?id="+id,
    data:obj,
    success:function(data){
      $("#content-default").html(data)
    }
  })
}

function EditInscripcion(){


    var formData= new FormData($("#FormEditInscripcion")[0])

    $.ajax({
      type:"POST",
      url:"controlador/inscripcionControlador.php?ctrEditInscripcion",
      data:formData,
      cache:false,
      contentType:false,
      processData:false,
      success:function(data){
        if(data=="ok"){
          Swal.fire({
            icon: 'success',
            showConfirmButton: false,
            title: 'La Inscripcion ha sido actualizada',
            timer: 1000
          })
          setTimeout(function(){
            location.reload()
          },1200)
        }else{
          Swal.fire({
            icon:'error',
            title:'Error!',
            text:'No se ha podido actualizar!!!',
            showConfirmButton: false,
            timer:1500
          })
        }
      }
    })

}

function MVerInscripcion(id){
  $("#modal-lg").modal("show")

  var obj=""
  $.ajax({
    type:"POST",
    url:"vista/inscripcion/MVerInscripcion.php?id="+id,
    data:obj,
    success:function(data){
      $("#content-lg").html(data)
    }
  })
}

function MEliInscripcion(id){
  var obj={
    id:id
  }

  Swal.fire({
    title:'¿Esta seguro de eliminar este Inscripcion?',
    showDenyButton:true,
    showCancelButton:false,
    confirmButtonText:'Confirmar',
    denyButtonText:'Cancelar'    
  }).then((result)=>{
    if(result.isConfirmed){
      $.ajax({
        type:"POST",
        data:obj,
        url:"controlador/inscripcionControlador.php?ctrEliInscripcion",
        success:function(data){

          if(data=="ok"){
            Swal.fire({
              icon: 'success',
              showConfirmButton: false,
              title: 'Inscripcion eliminada',
              timer: 1000
            })
            setTimeout(function(){
              location.reload()
            },1200)
          }else{
            Swal.fire({
              icon:'error',
              title:'Error!!!',
              text:'La inscripcion no puede ser eliminada, porque aun esta vigente',
              showConfirmButton:false,
              timer:1900
            })
          }
        }
      })

    }
  })
}

